Arch RemoveShape: Difference between revisions

From FreeCAD Documentation
(Vertical GuiCommand; SeeAlso=Arch SplitMesh, Arch MeshToShape)
m (png to svg)
(14 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:10-->
{{docnav|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonManifold.svg |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
Line 12: Line 15:


<!--T:3-->
<!--T:3-->
This tool attempts at removing the inner cubic shape of an [[Arch Wall]] or [[Arch Structure]], and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


==How to use== <!--T:4-->
==Usage== <!--T:4-->


<!--T:5-->
<!--T:5-->
# Select an [[Arch Wall]] or [[Arch Structure]]
# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}
# Press the {{KEY|[[Image:Arch RemoveShape.png|16px]] '''Remove Shape'''}} entry in Arch -> Utilities menu
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]]}} button or use {{KEY|Arch}} {{KEY|Utilities}} → {{KEY|[[Image:Arch RemoveShape.svg|16px]] [[Arch RemoveShape|Remove Shape]]}} from the top menu.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<!--T:7-->
<!--T:7-->
This tool can by used in [[macros]] and from the python console by using the following function:
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
removeShape (object)
removeShape(objs, mark=True)
}}
}}
<translate>
<translate>

<!--T:8-->
<!--T:8-->
takes an arch object (wall or structure) built on a cubic shape, and removes the inner shape, keeping its length, width and height as parameters.
* Takes a list of Arch objects ({{incode|objs}}) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
** {{incode|objs}} is a single object, [[Arch Wall]] or [[Arch Structure]], or a list of them.
* If {{incode|mark}} is {{incode|True}}, objects that cannot be processed by this function will become red.

</translate>
</translate>
{{Code|code=
import FreeCAD, Draft, Arch


Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
}}
<translate>
<translate>
<!--T:9-->
<!--T:11-->
{{docnav|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonManifold.svg |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
[[Category:Arch]]

</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 12:01, 6 March 2020

Arch RemoveShape

Menu location
Arch → Utilities → Remove Shape
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch SplitMesh, Arch MeshToShape

Description

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Usage

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()